## lava-server 2017.7

=== debian/changelog ===
lava-server (2017.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild from buster for jessie-backports-sloppy

 -- Neil Williams <codehelp@debian.org>  Fri, 14 Jul 2017 11:37:47 +0100

lava-server (2017.7-1) unstable; urgency=medium

  * New production release
    a9390fc9a Remove debug hacking session from doc examples
    13edd8f12 Skip certain V1 unit tests on django 1.11 and later
    0577447fc Update query script for python3 and to output CSV
    0b3b0beb7 device-type: addresses fix for armada-3720-espressobin
    ed1e402e5 device-type: addresses fix for armada-3720-db
    c382a5aa0 device-type: fix at91sam9m10g45ek
    54a3b7a46 Apply change for distinct test case links to all results
    1824a18fb Adding uefi-menu tftp method
    71aac817e LAVA-363 - set the scheme in api/help from settings
    2c840debc base-uboot.jinja2: don't load DTB if append_dtb is set
    1b13a0e3e Fix extra keyword in api/help view
    2882529bc Provide an example script for using queries
    7f4cfe569 logs: continue to poll the log when canceling
    25eaab176 XMLRPC: add offline_info argument to list endpoint
    38f7570e3 XMLRPC: fix inconsistency between code and doc
    8c134839d LAVA-972 test case should use ID in URL.
    99725606c Remove references to OpenID and Crowd
    95b959602 XMLRPC: add a function to download job definition
    ebf80c266 XMLRPC: fix crash when device.worker_host is None
    b1ec14c89 LAVA-861 separate base-fastboot.jinja2 template
    c4fd79d57 Remove unused file
    7c066195a Remove deprecated django configuration
    520ac8778 XMLRPC: remove unused function
    3b8ab7d61 XMLRPC: do not raise an error when canceling twice
    cce1bdea6 XMLRPC: allow forcing a health check for a device
    218408db6 Handle the new log level called "input"
    b49d9fb96 Adding uefi parameters for vexpress
    4a52ba861 Allow overriding django system check values from
               settings as documented
    d2067a5f3 LAVA-987 fix log parsing
    bbc39489c results_app: API: add the 'run_query' function
    8746edb6b results_app: API: add the 'make_custom_query' function
    4fd429ac2 Add note on apache2 for V2-only workers
    641e61dcb Explain the handling of measurements and Decimal
    bf8f53bf5 Count going offline as busy in overview table
    06febd188 Expand on essential roles, results and sync
    815d41b52 Tighten advice on prompt strings in docs
    351f6fe41 Add documentation for login_commands in auto_login
    5a7d4be95 Avoid warning for health checks of retired devices.
    5713f5295 Document transfer_overlay deployment differences
    8f04c6097 Fix typo in multinode api documentation.
    fe2093994 device-types: add meson-gxl-s905x-khadas-vim
    853ee80e3 Move action fields templates to table files.
    12de946eb Allow bare except and override pep8
    dd4faacaf Enforce schema rules for metadata
    352049204 Add missing check for null key|value in metadata
    b77731b31 device-types: rcar-gen3-common: handle bigger kernels
    d2acb94a5 LAVA-983 - Helper for DeviceStateTransition
    b4208116c LAVA-980 - Fix django deployment warnings
    778fd4a8b Fix link to glossary term
    af85e5225 LAVA 931 - documentation.
    212e98a3a LAVA-976 Use the Django system check framework
    e9c7ad477 Adding commands for booting whatever the precanned defaults are
    f78c58811 Added device type for Cavium ThunderX

 -- Neil Williams <codehelp@debian.org>  Thu, 06 Jul 2017 18:21:32 +0100

lava-server (2017.6-1) unstable; urgency=medium

  * New production release
    daf1e2a lava-master: fix init script
    b6b5fe7 Reduce device configuration dynamic connections
    ebf4463 Fix a crash in the migration when the db is empty
    cdfeb12 Fix index out of range exception
    33092ef Adding usb deployment method to vexpress device template
    3257ee2 XML-RPC: remove unused imports
    55dd014 XML-RPC: fix crash when called by anonymous users
    a3d4718 XML-RPC: allow every user to get templates/dict
    ddaf693 Add documentation of feedback support.
    eaae89a Set a default connection timeout for lava-test-shell
    f305e47 publisher: fix umask
    c25686f logrotate: lava-master should be owned by lavaserver
    2da8e74 logs: except more exceptions
    14f5f6c Update docs for changes in 2017.6
    a486d12 Tidy up of debian support docs
    b05712d Preserve original comments when resubmitting
    19bd2db XML-RPC: add an api to manage aliases
    30973a0 Log an error when saving device configuration fails
    763239d Use --arch for fedora LXC example
    8f26102 XML-RPC: add a method to show tag details
    19a69f7 fix location of example test job files
    480a6f6 XML-RPC: add an api for handling jobs
    356667d Update installation docs for Stretch release
    da74ae5 XML-RPC: add a decorator for is_superuser check
    49f370c XML-RPC: add a clean api for device-types and aliases
    c6d503d commands/devices: extend devices command to add tags
    1655dbf Move set commands outside body block
    87b8c01 XML-RPC: add a clean api for workers and tags
    351c16b XML-RPC: add a clean api for devices
    c4dec1f device-types: add bcm2837-rpi-3-b
    9ca0e0d Adding combined vexpress device template
    67f531f Make lava_scheduler_app.api a module
    d3021a3 xmlrpc: add a system.version function
    3ef0157 linaro_django_xmlrpc: remove unused properties
    e994852 Use render shortcut instead of the loader
    e51ca21 linaro_django_xmlrpc: rework the application
    4bbe17c LAVA-959 run lava-master as lavaserver user
    b283288 Fix migrations from Debian Jessie to Stretch and ensure
             smooth upgrade.
    bc25204 LAVA 329 - Add old job URL to metadata when resubmitting a job.
    271723d LAVA-782 - Change error type for incorrect handling of
              custom queries.
    368903e notify: Don't send verbose mails when the job is cancelled
    71c514d Fix broken link in unit test.
    1f48674 LAVA-955 - Remove 'arch' parameter from lxc protocol.

