=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
- Neil Williams <codehelp@debian.org>,
+Uploaders: Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
@@ -14,7 +13,7 @@
  po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -32,7 +31,7 @@
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.12),
+ lava-dispatcher (>= 2017.7),
  ${python:Depends}, ${misc:Depends}
 Recommends: fuse, ntp, lava-coordinator, lava-server-doc
 Suggests: python-django-hijack, python-django-debug-toolbar
@@ -58,9 +57,10 @@
 Section: metapackages
 Depends: lava-server (= ${binary:Version}), lava-server-doc,
  lava-dispatcher, lava-coordinator, lava-dev, lava-tool,
- lavapdu-client, ntp | ntpdate, tftpd-hpa,
+ lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, linaro-image-tools, schroot
+Recommends: lavapdu-daemon, linaro-image-tools, schroot,
+ android-tools-fsutils | img2simg
 Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -82,10 +82,10 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
- python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
+ python-guestfs, python-sphinx (>= 1.4) | python3-sphinx (>= 1.4), po-debconf,
  python-mocker, python-nose, python-netifaces, python-setuptools,
- python-sphinx-bootstrap-theme, python-zmq, python-yaml, python-voluptuous,
- docbook-xsl, xsltproc, python-mock,
+ python-sphinx-bootstrap-theme, python-zmq, python-yaml,
+ python-voluptuous (>= 0.8.8), docbook-xsl, xsltproc, python-mock,
  ${python:Depends}, ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot,
  django-testscenarios
