## lava-server 2017.10

=== debian/changelog ===
lava-server (2017.10-1) unstable; urgency=medium

  * New production release
    03fec0ea Fix out of date stretch reference
    2c8a88d8 Include non https in title for security defaults configuration doc.
    56185add Mark required parameters in left over deploy action reference.
    b1de8acf Update instructions for migrating postgres
    2b845967 Fix issues in the documentation build.
    f9e64aa1 Fix SQL request storm when listing jobs
    95b12c01 Fix missing import
    0a63c2f3 Adjust U-Boot load addresses for imx6q-sabrelite to allow
      bigger kernels
    3a4cddf4 LAVA-341 Unicode issues in tables and queries
    5bff2fd5 Mark required parameters in deploy action using an asterisk.
    00b5044a LAVA-1035 Force all Dashboard objects into read-only mode
      for users
    7a006f64 Change load addresses for Jetson TK1 to allow bigger kci kernels
    ca5e6834 Update commands for eMMC boot of OE on X15
    0d17e797 Add docker device-type configuration
    f0c2107c Remove doc references to lava-lxc-device-* commands.
    715c6309 LAVA-771 - Support dragonboard-820c with lxc
    7a4adb03 Fix the hierarchy of md5sum and sha256sum in nbdroot index.
    576661f4 Make clear when to use lxc://
    7c68e21b Document download deploy and explain about lxc:// url scheme.
    8f4d7419 Rewrite fastboot deploy action reference doc.
    11f5c222 archive: do not allow to force hc
    9536450d logger: drop level and action name
    771d0d93 Fix a typo in deploy to name.
    0a2404fa Update command requires an alias argument
    e7a704a1 Add V1 EOL summary to the index page for all docs
    cdaa6376 LAVA-1003 do not lose logging messages
    f09b6beb LAVA-1045 - document the archive setting
    483fb1a7 LAVA-1038 add a settings to archive the instance
    866afbf4 migration: v1 health-check are not used anymore
    896db15b LAVA-1033 remove v1 job wizard
    2eac055b LAVA-1043 fix handling of large log files
    aef7d7b8 Add device-type disco-l475-iot1
    399b9dbc Use the CDumper to export results
    c9dc6a14 LAVA-1032 reject v1 submission at api level
    65394986 Drop lookups to ActionData from testcase export
    80d1a9fa Add support for the NextThing CHIP Pro
    21c8fc52 Only write logs to output.yaml
    01df9ce0 Improve job listing by fetching more data
    436c220e Decrease SQL queries when listing test results
    445b9c66 Add support for reading django settings for limiting
      LDAP group access
    a33b9c9f Only set the job status if lava-run crashed
    581b616f Fix boot action doc for fastboot and lxc boot methods.
    08393dbb Use new logging API
    33a73bb3 device-types: panda: handle bigger kernels
    746fe4c9 Allow override of prompt in device configuration
    5932f9d1 LAVA-1048 Extend X15 to typical U-Boot support
    affaa35d Fix error message in daemonise.py
    e24db160 Fix lambda syntax
    8fb16105 v2: Do not fall back to db for health-checks
    bceecc64 Do not submit new health checks for v1 only device

 -- Neil Williams <codehelp@debian.org>  Wed, 04 Oct 2017 08:54:36 +0100

lava-server (2017.9-1) unstable; urgency=medium

  * New production release
    6d1ff5c5 Improve the docs on lava-test-reference and metadata
    2f11898f LAVA-997 - Invalidate primary connections setup when
       power is configured.
    ccfb3961 b2260: allow setting bootloader_prompt in device config
    4a1b8f5f Prevent mistaken fixup of device reservation
    5093f40c LAVA-1022 - V2 support for IFC6410
    1f18eada LAVA-1021 - Document specifying branch for git
    36513ec3 Change default source code URL after systems change
    da49e558 Remove doc for unimplemented feature test-case-deps.
    61dfd204 Document settings to enable authentication
       in http://localhost
    5cbf5b11 Allow vcs checks to skip monitor test actions
    b85baa75 NBD kernel bootarg fixups
    c089adb7 Add failure comment message via async update on the
       job detail page.
    5ca25620 Improve V1 doc build for Debian reproducibility
    dccd1588 LAVA-998 - Default to shallow clones in overlay
    250f27dd Fix warning of linaro.img not found.
    938b3da1 Fix typos and warnings in deploy to nbd doc.
    90c9ed74 LAVA-1013 improve performance of result export
    0af80d19 LAVA-1008 Group visibility check
    080dd10d LAVA-1007 Prevent NoneType crash in job duration
    b2d90962 Fix typos in manage users which talk about devices
    07e5fa19 Fix reference to smoke test
    59340f70 Expand advice on good commit messages.
    cfae2faa Skip some dashboard tests if django is too new
    68b24fcc Revert "Move action fields templates to table files."
    c9f65507 Add log file argument to dispatcher-master command.
    dabaf74c LAVA-1002 - fix group label editing in query details page.
    7398abd4 CTT-441 - lava-lxc-device-* don't work properly
    f1cb7faf Decrease the number of SQL queries to list the groups
    984f3b02 doc: fix example of zmq_client usage
    f864696d Documentation build error tweaks
    9aeff523 XMLRPC authentication: fix wrong logic
    93572067 Basic integration advice for U-Boot devices
    5b2d39d7 Support PyOCD for KW41Z and remove CMSIS boot method
    3f8c8a93 Fix a typo in persistent container configuration doc.
    d334642c Rename xmlrpc module to api
    9f947433 Add ssh deployment support for secondary connections.
    ce9f0da6 Document how to combine LXC and MultiNode
    e2be8567 Allow documentation to be built with python3
    cc6e9696 Add notes on writing new unit tests
    c40ac0da Document option for device_type qemu to choose host audio handling
    97eac4b6 Update lava-self documentation for change in output
    7e0f6eca Fix PipelineDevice usage after last dispatcher commit
    37d4eba4 Fix a typo - repeated usb_vendor_id parameter in
       device_info example.
    d4a80fc1 Improve the validation message when a role is not found in every
    1a5aec5f Add a seealso for fresh installs of lava-tool
    4707ff98 Check that the Debian package has been installed

