=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,10 @@
 	cp etc/lava-publisher.init debian/
 	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
 	python setup.py build
-	make -C doc/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C doc/v1/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C doc/v2/ html SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-	make -C man/ man SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
+	make -C doc/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C doc/v1/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C doc/v2/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
+	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
 override_dh_auto_install:
 	dh_auto_install
