=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,6 @@
 	cp etc/lava-publisher.init debian/
 	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
 	python setup.py build
-	make -C doc/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
-	make -C doc/v1/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 	make -C doc/v2/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
@@ -54,9 +52,6 @@
 	dh_installman -plava-server man/_build/man/lava-daemon.1
 	dh_installman -plava-server man/_build/man/lava-master.1
 	[ -f debian/lava-server/usr/bin/lava-server ] || cp debian/lava-server/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
-	# move ssfs script to /usr/sbin
-	mkdir debian/lava-server/usr/sbin/
-	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
 	# skip unwanted licence file specified in copyright
 	$(RM) debian/lava-server/$(PYTHONDIR)/google_analytics/LICENSE
 	# handle embedded JS
@@ -73,7 +68,6 @@
 	[ ! -f doc/v1/Makefile ] || make -C doc/v1/ clean
 	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
 	[ ! -f man/Makefile ] || make -C man/ clean
-	debconf-updatepo
 
 # get upstream version for get-orig-source target
 VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')
